Subject: bug#25480: 26.0.50; cc-mode: punctuation in comments can affect non-comment indentation

From: Dima Kogan <[email-masked]>
Date: Wed, 18 Jan 2017 14:09:07 -0800

Hi. Found another possibly-obscure issue. I'm running a very recent
build of emacs: af3db69ee64

I have the attached minimized C source. If I

- load this source with emacs -Q
- move the point to 'struct'
- hit TAB

I would expect that line to be indented "correctly", with "correctly"
meaning starting at column 0 in this case. Instead, I see it indented to
column 2. This appears to be affected by the text in the preceding
comment. If I change "aaa)" to "aaa" then I get the desired behavior.

Thanks

/*
aaa). bbb ccc <=
(dd >= f)
*/

struct S { int x; };